restinio::http_field_parsers::impl::is_ctext_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol is a ctext. More...

`#include <basics.hpp>`

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol is a ctext.

Since
  v.0.6.4

Definition at line 419 of file basics.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::impl::is_ctext_predicate_t::operator() | ( | const char | actual | ) | const

inline noexcept

Definition at line 423 of file basics.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp